    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class java.net.InetAddress

    java.lang.Object
       |
       +----java.net.InetAddress

public final class InetAddress
extends Object
implements Serializable

This class represents an Internet Protocol (IP) address.

Applications should use the methods `getLocalHost`, `getByName`, or `getAllByName` to create a new `InetAddress` instance.

See Also:
  getAllByName, getByName, getLocalHost

##

equals(Object)
  Compares this object against the specified object.
getAddress()
  Returns the raw IP address of this `InetAddress` object.
getAllByName(String)
  Determines all the IP addresses of a host, given the host's name.
getByName(String)
  Determines the IP address of a host, given the host's name.
getHostAddress()
  Returns the IP address string "%d.%d.%d.%d"
getHostName()
  Returns the fully qualified host name for this address.
getLocalHost()
  Returns the local host.
hashCode()
  Returns a hashcode for this IP address.
isMulticastAddress()
  Utility routine to check if the InetAddress is a IP multicast address.
toString()
  Converts this IP address to a `String`.

##

isMulticastAddress

     public boolean isMulticastAddress()

  Utility routine to check if the InetAddress is a IP multicast address. IP multicast address is a Class D address i.e first four bits of the address are 1110.

getHostName

     public String getHostName()

  Returns the fully qualified host name for this address. If the host is equal to null, then this address refers to any of the local machine's available network addresses.

  Returns:
    the fully qualified host name for this address.

getAddress

     public byte[] getAddress()

  Returns the raw IP address of this `InetAddress` object. The result is in network byte order: the highest order byte of the address is in `getAddress()[0]`.

  Returns:
    the raw IP address of this object.

getHostAddress

     public String getHostAddress()

  Returns the IP address string "%d.%d.%d.%d"

  Returns:
    raw IP address in a string format

hashCode

     public int hashCode()

  Returns a hashcode for this IP address.

  Returns:
    a hash code value for this IP address.
  Overrides:
    hashCode in class Object

equals

     public boolean equals(Object obj)

  Compares this object against the specified object. The result is `true` if and only if the argument is not `null` and it represents the same IP address as this object.

  Two instances of `InetAddress` represent the same IP address if the length of the byte arrays returned by `getAddress` is the same for both, and each of the array components is the same for the byte arrays.

  Parameters:
    obj - the object to compare against.
  Returns:
    `true` if the objects are the same; `false` otherwise.
  Overrides:
    equals in class Object
  See Also:
    getAddress

toString

     public String toString()

  Converts this IP address to a `String`.

  Returns:
    a string representation of this IP address.
  Overrides:
    toString in class Object

getByName

     public static InetAddress getByName(String host) throws UnknownHostException

  Determines the IP address of a host, given the host's name. The host name can either be a machine name, such as "`java.sun.com`", or a string representing its IP address, such as "`206.26.48.100`".

  Parameters:
    host - the specified host, or `null` for the local host.
  Returns:
    an IP address for the given host name.
  Throws: UnknownHostException
    if no IP address for the `host` could be found.

getAllByName

     public static InetAddress[] getAllByName(String host) throws UnknownHostException

  Determines all the IP addresses of a host, given the host's name. The host name can either be a machine name, such as "`java.sun.com`", or a string representing its IP address, such as "`206.26.48.100`".

  Parameters:
    host - the name of the host.
  Returns:
    an array of all the IP addresses for a given host name.
  Throws: UnknownHostException
    if no IP address for the `host` could be found.

getLocalHost

     public static InetAddress getLocalHost() throws UnknownHostException

  Returns the local host.

  Returns:
    the IP address of the local host.
  Throws: UnknownHostException
    if no IP address for the `host` could be found.

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.